#ifndef ADCONFIG_H
#define ADCONFIG_H

#include "common.h"

#include <qlist.h>

class QString;
class QStrList;
class QSize;
class QRect;

class KConfig;

class AdConfig
{
public:
    static AdConfig *getInstance() { return instance; }

    AdConfig(KConfig *);

	void setAppList( QList<QStrList> );
    void setAppCount( unsigned int );
    void setDirection( Common::Direction );
    void setFrameAlignment( Common::Alignment );
    void setPosition( int );
    void setFrameSize( const QSize& );
    void setGeometry( const QRect& );
	void setStyleName( const QString& );
	void setBorderSnapZone( int );
	void setSystemTrayVisible( bool );

    QList<QStrList> getAppList() { return appList; }
    unsigned int getAppCount() { return appCount; }
    Common::Direction getDirection() { return direction; }
    Common::Alignment getFrameAlignment() { return frameAlignment; }
    int getPosition() { return position; }
    const QSize& getFrameSize() { return frameSize; }
    const QRect& getGeometry() { return geometry; }
	const QString& getStyleName() { return styleName; }
	int getBorderSnapZone() { return borderSnapZone; }
	bool isSystemTrayVisible() { return systemTrayVisible; }

    void readSettings();
    void writeSettings();
protected:

private:
    static AdConfig *instance;

    KConfig *configFile;

    QList<QStrList> appList;
    unsigned int appCount;
    Common::Direction direction;
    Common::Alignment frameAlignment;
    int position;
    QSize frameSize;
    QRect geometry;
	QString styleName;
	int borderSnapZone;
	bool systemTrayVisible;
};

#endif
