#ifndef APPFRAMEDIALOGIMPL_H
#define APPFRAMEDIALOGIMPL_H

#include "appframedialog.h"
#include "common.h"

class QString;

class AppFrameDialogImpl : public AppFrameDialog
{
public:
    AppFrameDialogImpl( QWidget *parent=0, const char *name=0,
        bool modal=false, WFlags f=0 );

	void setHeightOrWidthLabelText( const QString& text );

    void setName( const QString& );
    void setCommand( const QString& );
    void setWindowTitle( const QString& );
    void setIcon( const QString& );
    void setSwallowApp( bool );
    void setExecOnStartup( bool );
    void setCloseOnExit( bool );
    void setOnlyStartOnce( bool );
    void setHeightOrWidth( int );

    QString getName() const;
    QString getCommand() const;
    QString getWindowTitle() const;
    QString getIcon() const;
    bool getSwallowApp() const;
    bool getExecOnStartup() const;
    bool getCloseOnExit() const;
    bool getOnlyStartOnce() const;
    int getHeightOrWidth() const;

public slots:
    virtual void slotCheck();
    virtual void slotClear();
    virtual void slotSelect();

};

#endif
