#ifndef COMMON_H
#define COMMON_H

#define LINE_WIDTH      1
#define BAR_WIDTH       5
#define MENUBAR_WIDTH	10

#include <qevent.h>
#include <qvariant.h>
#include <qdir.h>
#include <qwindowdefs.h>

#include <X11/X.h>
#include <X11/Xlib.h>
#undef Never
#undef Docked
#undef Undocked
#undef Always

class QString;
class QPixmap;

namespace Common {
    enum Direction { VERTICAL, HORIZONTAL };
    enum Alignment { TOP, BOTTOM, LEFT, RIGHT };
    enum Position {
        POS_LEFT=1, POS_RIGHT=2, POS_TOP=4,
        POS_BOTTOM=8, POS_FREE_X=16, POS_FREE_Y=32 };
    enum MenuId { NEW, PREFS, QUIT, START, STOP, EDIT, DELETE, ABOUT, HELP };
}

class Tools {
public:
    static bool string2Bool( const char *string );
    static QString bool2String( bool value );

    static Window selectWindow();
    static QString getWindowProperty(Window w, const QString& property);
    static Window getWindowByName(
        Display *dpy, Window top, const QString& name);
    static QPixmap getScaledPixmap(const QPixmap&, const QSize&,
        bool enlarge=false );
};

#endif
