#include "common.h"
#include "adconfig.h"
#include "toplevel.h"

#include <stdio.h>
#include <stdlib.h>

#include <qstring.h>

#include <kuniqueapp.h>
#include <kapp.h>
#include <dcopclient.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <klocale.h>
#include <kconfig.h>
#include <kstddirs.h>
#include <kdebug.h>

static const char *appName = "kappdock";
static const char *programName = I18N_NOOP("kappdock");
static const char *version = "v0.4.5";
static const char *description = I18N_NOOP("Application dock");
static int licenseType = KAboutData::License_GPL;
static const char *copyRightStatement = "(C) 2001 Henning Burchardt";
static const char *authorName = "Henning Burchardt";
static const char *authorEmailAddress = "h_burchardt@gmx.net";

int main(int argc, char **argv)
{
    KAboutData about(appName, programName,
        version, description, licenseType,
        copyRightStatement);
    about.addAuthor( authorName, 0, authorEmailAddress );
    KCmdLineArgs::init(argc, argv, &about);
    KUniqueApplication::addCmdLineOptions();

    if ( !KUniqueApplication::start() ) {
        fprintf(stderr, "%s is already running!\n", about.appName());
        exit(0);
    }
    KUniqueApplication app;
//    KApplication app;

    KGlobal::dirs()->addResourceType("ad_styles",
		KStandardDirs::kde_default("data") + "kappdock/styles");
    KGlobal::dirs()->addResourceType("ad_icons",
		KStandardDirs::kde_default("data") + "kappdock/icons");
	
	// no session.. just start up normally
    Toplevel *toplevel = new Toplevel( new AdConfig(
        KApplication::kApplication()->config()), &about );
    app.setTopWidget(toplevel);

    return app.exec();
}
