#ifndef PREFSDIALOGIMPL_H
#define PREFSDIALOGIMPL_H

#include "common.h"
#include "prefsdialog.h"

class QString;
class QStringList;
class QSize;
class QPixmap;

class PrefsDialogImpl : public PrefsDialog
{
    Q_OBJECT
public:
    PrefsDialogImpl( QWidget *parent=0, const char *name=0,
        bool modal=false, WFlags f=0 );

    Common::Direction getDirection() const;
    int getPosition() const;
    Common::Alignment getFrameAlignment() const;
    QSize getFrameSize() const;
    QString getStyleName() const;
    bool isSystemTrayVisible() const;

    void setDirection( Common::Direction );
    void setPosition( int );
    void setFrameAlignment( Common::Alignment );
    void setFrameSize( const QSize& );
    void setStyleNames( const QStringList& );
    void setCurrentStyleName( const QString& );
    void setSystemTrayVisible( bool );

protected slots:
    void slotOkButtonClicked(){ emit okButtonClickedSignal(); }
    void slotApplyButtonClicked(){ emit applyButtonClickedSignal(); }
    void slotCancelButtonClicked(){ emit cancelButtonClickedSignal(); }

signals:
    void okButtonClickedSignal();
    void applyButtonClickedSignal();
    void cancelButtonClickedSignal();
};

#endif
